Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dgtcon

    java.lang.Object
      org.netlib.lapack.Dgtcon

    public class Dgtcon

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DGTCON estimates the reciprocal of the condition number of a real
     *  tridiagonal matrix A using the LU factorization as computed by
     *  DGTTRF.
     *
     *  An estimate is obtained for norm(inv(A)), and the reciprocal of the
     *  condition number is computed as RCOND = 1 / (ANORM * norm(inv(A))).
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies whether the 1-norm condition number or the
     *          infinity-norm condition number is required:
     *          = '1' or 'O':  1-norm;
     *          = 'I':         Infinity-norm.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  DL      (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) multipliers that define the matrix L from the
     *          LU factorization of A as computed by DGTTRF.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (N)
     *          The n diagonal elements of the upper triangular matrix U from
     *          the LU factorization of A.
     *
     *  DU      (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) elements of the first superdiagonal of U.
     *
     *  DU2     (input) DOUBLE PRECISION array, dimension (N-2)
     *          The (n-2) elements of the second superdiagonal of U.
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          The pivot indices; for 1 <= i <= n, row i of the matrix was
     *          interchanged with row IPIV(i).  IPIV(i) will always be either
     *          i or i+1; IPIV(i) = i indicates a row interchange was not
     *          required.
     *
     *  ANORM   (input) DOUBLE PRECISION
     *          If NORM = '1' or 'O', the 1-norm of the original matrix A.
     *          If NORM = 'I', the infinity-norm of the original matrix A.
     *
     *  RCOND   (output) DOUBLE PRECISION
     *          The reciprocal of the condition number of the matrix A,
     *          computed as RCOND = 1/(ANORM * AINVNM), where AINVNM is an
     *          estimate of the 1-norm of inv(A) computed in this routine.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (2*N)
     *
     *  IWORK   (workspace) INTEGER array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dgtcon()`

Method Summary
`static void` | `dgtcon(java.lang.String norm, int n, double[] dl, int _dl_offset, double[] d, int _d_offset, double[] du, int _du_offset, double[] du2, int _du2_offset, int[] ipiv, int _ipiv_offset, double anorm, doubleW rcond, double[] work, int _work_offset, int[] iwork, int _iwork_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dgtcon

    public Dgtcon()

Method Detail

### dgtcon

    public static void dgtcon(java.lang.String norm,
                              int n,
                              double[] dl,
                              int _dl_offset,
                              double[] d,
                              int _d_offset,
                              double[] du,
                              int _du_offset,
                              double[] du2,
                              int _du2_offset,
                              int[] ipiv,
                              int _ipiv_offset,
                              double anorm,
                              doubleW rcond,
                              double[] work,
                              int _work_offset,
                              int[] iwork,
                              int _iwork_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD